## libcork 0.15.0%2Bds

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@
Restrictions: allow-stderr

## libcork 0.15.0+ds

=== CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2015, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

cmake_minimum_required(VERSION 2.6)
set(PROJECT_NAME libcork)
set(RELEASE_DATE 2015-09-03)
project(${PROJECT_NAME})
enable_testing()

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(ParseArguments)
find_package(Prereqs)
find_package(CTargets)

#-----------------------------------------------------------------------
# Retrieve the current version number

execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/version.sh
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    RESULT_VARIABLE VERSION_RESULT
    OUTPUT_VARIABLE VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if(VERSION_RESULT)
    message(FATAL_ERROR
            "Cannot determine version number: " ${VERSION_RESULT})
endif(VERSION_RESULT)
# This causes an annoying extra prompt in ccmake.
# message("Current version: " ${VERSION})

string(REGEX REPLACE "-dev.*" "-dev" BASE_VERSION "${VERSION}")

if(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
    set(VERSION_MAJOR "${CMAKE_MATCH_1}")
    set(VERSION_MINOR "${CMAKE_MATCH_2}")
    set(VERSION_PATCH "${CMAKE_MATCH_3}")
else(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
    message(FATAL_ERROR "Invalid version number: ${VERSION}")
endif(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")

execute_process(
    COMMAND git rev-parse HEAD
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    RESULT_VARIABLE GIT_SHA1_RESULT
    OUTPUT_VARIABLE GIT_SHA1
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(GIT_SHA1_RESULT)
    message(FATAL_ERROR
            "Cannot determine git commit: " ${GIT_SHA1_RESULT})
endif(GIT_SHA1_RESULT)

#-----------------------------------------------------------------------
# Check for building on Tilera
# If the Tilera environment is installed, then $TILERA_ROOT is defined
# as the path to the active MDE.

if(DEFINED ENV{TILERA_ROOT})
    set(TILERA TRUE)
    set(TILERA_ROOT $ENV{TILERA_ROOT})
    message("-- Configuring for Tilera MDE ${TILERA_ROOT}")
    set(ENV{PKG_CONFIG_PATH}
        "${TILERA_ROOT}/tile/usr/lib/pkgconfig:${TILERA_ROOT}/tile/usr/local/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}"
    )
    set(CMAKE_SYSTEM_NAME "Tilera")
    set(CMAKE_SYSTEM_PROCESSOR "tilegx")
    set(CMAKE_C_COMPILER "${TILERA_ROOT}/bin/tile-gcc")
    set(CMAKE_LINKER "${TILERA_ROOT}/bin/tile-ld")
    set(TILERA_MONITOR "${TILERA_ROOT}/bin/tile-monitor")
    #add_definitions(-std=gnu99)
    set(CMAKE_FIND_ROOT_PATH "${TILERA_ROOT}/tile")
    set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM ONLY)
    set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
    set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
endif()

#-----------------------------------------------------------------------
# Set some options

if(APPLE)
    if (NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
    endif (NOT CMAKE_INSTALL_NAME_DIR)
endif(APPLE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif(NOT CMAKE_BUILD_TYPE)

set(ENABLE_SHARED YES CACHE BOOL "Whether to build a shared library")
set(ENABLE_SHARED_EXECUTABLES NO CACHE BOOL
    "Whether to link executables using shared libraries")
set(ENABLE_STATIC YES CACHE BOOL "Whether to build a static library")

set(CMAKE_INSTALL_LIBDIR lib CACHE STRING
    "The base name of the installation directory for libraries")

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Clang")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Intel")
    add_definitions(-Wall -Werror)
endif(CMAKE_C_COMPILER_ID STREQUAL "GNU")

#-----------------------------------------------------------------------
# Check for prerequisite libraries

find_package(Threads)
set(THREADS_LDFLAGS "${CMAKE_THREAD_LIBS_INIT}")
set(THREADS_STATIC_LDFLAGS "${CMAKE_THREAD_LIBS_INIT}")

#-----------------------------------------------------------------------
# Include our subdirectories

add_subdirectory(include)
add_subdirectory(share)
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(docs/old)

=== docs/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2014, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

# Fill in this with the text that you want to include in the header and footer
# of each man page.

set(MAN_HEADER "${PROJECT_NAME} documentation")
set(MAN_FOOTER "${PROJECT_NAME}")

# Fill this in with any man pages that should be built from a pandoc source
# file.  For a man page called foo.5, there should be a pandoc source file
# called foo.5.pandoc.

set(MAN_PAGES
)

#-----------------------------------------------------------------------
# Everything below is boilerplate!

find_program(
    PANDOC_EXECUTABLE
    NAMES pandoc
    HINTS ENV PANDOC_DIR
    PATH_SUFFIXES bin
    DOC "Pandoc man page generator"
)

set(GENERATE_DOC TRUE CACHE BOOL
    "Whether to rebuild documentation")

if (NOT PANDOC_EXECUTABLE)
    message(WARNING "Unable to find pandoc documentation generator")
    set(GENERATE_DOC FALSE)
endif (NOT PANDOC_EXECUTABLE)


# Link man pages go in docs/links

macro(install_links section)
    file(GLOB links "links/*.${section}")
    if (links)
        install(
            FILES ${links}
            DESTINATION "share/man/man${section}"
        )
    endif (links)
endmacro(install_links section)

install_links(1)   # commands
install_links(3)   # library API
install_links(4)   # special files and drivers
install_links(5)   # file formats and conventions
install_links(7)   # miscellaneous
install_links(8)   # system commands


# Man pages with actual content go in docs

set(ALL_MANS)

macro(pandocify name)
    set(src  "${CMAKE_CURRENT_SOURCE_DIR}/${name}.pandoc")
    set(dest "${CMAKE_CURRENT_SOURCE_DIR}/${name}")
    get_filename_component(section "${name}" EXT)
    string(REPLACE "." "" section "${section}")

    # Only compile the markdown source into groff man pages if requested.
    if (GENERATE_DOC)
        add_custom_command(
            OUTPUT ${dest}
            COMMAND ${PANDOC_EXECUTABLE}
                -f markdown -t man -s --smart
                -V header="${MAN_HEADER}"
                -V footer="${MAN_FOOTER}"
                -V date=${RELEASE_DATE}
                -o ${dest} ${src}
            MAIN_DEPENDENCY ${src}
            COMMENT "Building ${name}"
        )
        list(APPEND ALL_MANS ${dest})
    endif (GENERATE_DOC)

    # We should always have an already-compiled copy of each man page in the
    # source tree, which we can install even if we didn't build fresh new
    # copies.
    install(
        FILES ${dest}
        DESTINATION "share/man/man${section}"
    )
endmacro(pandocify)

foreach(MAN_PAGE ${MAN_PAGES})
    pandocify(${MAN_PAGE})
endforeach(MAN_PAGE)

add_custom_target(doc ALL DEPENDS ${ALL_MANS})

=== include/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2015, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/libcork/config/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/libcork/config/version.h
    ESCAPE_QUOTES @ONLY
)

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
    DESTINATION include
    FILES_MATCHING PATTERN "*.h")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcork/config/version.h
        DESTINATION include/libcork/config)

=== share/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2012, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license
# details.
# ----------------------------------------------------------------------

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/valgrind
    DESTINATION share
    FILES_MATCHING PATTERN "*.supp")

=== tests/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2015, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}/include
)

#-----------------------------------------------------------------------
# Build the test cases

# For each test cases, we create two executables: one that links with a
# shared libcork, and the other that simulates embedding libcork into
# another project.  For the embedded version, we need to know which of
# the libcork submodules should be included when compiling the test
# case.  These are provided as additional parameters to the make_test
# macro.

macro(make_test test_name)
    if (ENABLE_SHARED OR ENABLE_SHARED_EXECUTABLES)
        add_executable(shared-${test_name} ${test_name}.c)
        target_link_libraries(shared-${test_name} ${CHECK_LIBRARIES}
            libcork-shared)
        add_test(shared-${test_name} shared-${test_name})
    endif (ENABLE_SHARED OR ENABLE_SHARED_EXECUTABLES)

    if (ENABLE_STATIC OR NOT ENABLE_SHARED_EXECUTABLES)
        add_executable(embedded-${test_name} ${test_name}.c)
        set_target_properties(embedded-${test_name} PROPERTIES
            COMPILE_DEFINITIONS CORK_EMBEDDED_TEST=1)
        target_link_libraries(embedded-${test_name} ${CHECK_LIBRARIES}
            libcork-static)
        add_test(embedded-${test_name} embedded-${test_name})
    endif (ENABLE_STATIC OR NOT ENABLE_SHARED_EXECUTABLES)
endmacro(make_test)

make_test(test-array)
make_test(test-bitset)
make_test(test-buffer)
make_test(test-core)
make_test(test-dllist)
make_test(test-files)
make_test(test-gc)
make_test(test-hash-table)
make_test(test-managed-buffer)
make_test(test-mempool)
make_test(test-ring-buffer)
make_test(test-slice)
make_test(test-subprocess)
make_test(test-threads)

#-----------------------------------------------------------------------
# Command-line tests

if(TILERA)
    configure_file(tile-test ${CMAKE_BINARY_DIR}/tile-test COPYONLY)
endif(TILERA)

find_package(PythonInterp)

if (PYTHON_EXECUTABLE)
    configure_file(ccram ${CMAKE_BINARY_DIR}/ccram COPYONLY)
    file(GLOB_RECURSE TESTS "${CMAKE_CURRENT_SOURCE_DIR}/*.t")
    foreach(TEST ${TESTS})
        get_filename_component(TEST_NAME "${TEST}" NAME_WE)
        add_test(
            ${TEST_NAME}
            ${CMAKE_COMMAND} -E chdir ${CMAKE_BINARY_DIR}
            ${CMAKE_BINARY_DIR}/ccram
                --python ${PYTHON_EXECUTABLE}
                --root ${CMAKE_SOURCE_DIR}
                --tests ${TEST}
        )
    endforeach(TEST)
else (PYTHON_EXECUTABLE)
    message(WARNING "Unable to find Python; skipping cram tests.")
endif (PYTHON_EXECUTABLE)

=== docs/old/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011-2014, RedJack, LLC.
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

find_program(
  SPHINX_EXECUTABLE
  NAMES sphinx-build
  HINTS ENV SPHINX_DIR
  PATH_SUFFIXES bin
  DOC "Sphinx documentation generator"
)

set(GENERATE_DOC TRUE)

if (TILERA)
    message(STATUS "Note: We don't build documentation on the Tilera platform")
    set(GENERATE_DOC FALSE)
endif (TILERA)

if (NOT SPHINX_EXECUTABLE)
  message(WARNING "Unable to find Sphinx documentation generator")
  set(GENERATE_DOC FALSE)
endif (NOT SPHINX_EXECUTABLE)

set(INTERSPHINX_OVERRIDES "")

macro(find_prereq_doc LIB_NAME)
  execute_process(
    COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=sphinxdir ${LIB_NAME}
    OUTPUT_VARIABLE LIB_SPHINX_DIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  if (LIB_SPHINX_DIR)
    message(STATUS "Using ${LIB_NAME} docs in ${LIB_SPHINX_DIR}")
    set(
      INTERSPHINX_OVERRIDES
      "${INTERSPHINX_OVERRIDES}\nintersphinx_mapping['${LIB_NAME}'] = ('${LIB_SPHINX_DIR}', None)"
    )
  endif (LIB_SPHINX_DIR)
endmacro(find_prereq_doc)

if (GENERATE_DOC)
  set(SPHINX_SRC_CONF_FILE "${CMAKE_CURRENT_SOURCE_DIR}/conf.py")
  set(SPHINX_CONF_FILE "${CMAKE_CURRENT_BINARY_DIR}/conf.py")
  set(SPHINX_CACHE_DIR "${CMAKE_CURRENT_BINARY_DIR}/_doctrees")
  set(SPHINX_HTML_DIR "${CMAKE_CURRENT_BINARY_DIR}/html")

  # If your Sphinx documentation references the Sphinx documentation of
  # any of your prerequisite libraries, add some calls to
  # find_prereq_doc here:
  #
  # find_prereq_doc(libcork)

  set(
    VERSION_FOR_CONF_PY
    "\nrelease=\"${VERSION}\"\nversion=\"${BASE_VERSION}\""
  )
  configure_file(${SPHINX_SRC_CONF_FILE} ${SPHINX_CONF_FILE} @ONLY)
  file(COPY _static DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
  file(COPY _templates DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

  add_custom_target(old-doc ALL
    ${SPHINX_EXECUTABLE}
      -b html
      -d "${SPHINX_CACHE_DIR}"
      -c "${CMAKE_CURRENT_BINARY_DIR}"
      "${CMAKE_CURRENT_SOURCE_DIR}"
      "${SPHINX_HTML_DIR}"
    COMMENT "Building HTML documentation with Sphinx"
  )

  list(APPEND CLEAN_FILES "${SPHINX_CACHE_DIR}" "${SPHINX_HTML_DIR}")
  set_directory_properties(
    PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}"
  )

  install(
    DIRECTORY "${SPHINX_HTML_DIR}"
    DESTINATION "share/doc/${PROJECT_NAME}"
  )
endif (GENERATE_DOC)

=== debian/changelog ===
libcork (0.15.0+ds-16) unstable; urgency=medium

  * debian/rules:
    - Move updating CMakeLists.txt to dh_auto_configure.
  * debian/tests:
    - Update CMakeLists.txt, same as d/rules.
    - Add new ss-libev.sh test suite from shadowsocks-libev.

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Jan 2021 23:56:25 +0900

libcork (0.15.0+ds-15) unstable; urgency=medium

  * debian/rules:
    - Fix ftbfs due to: https://github.com/libcheck/check/issues/293
      Workaround from: https://bugs.gentoo.org/736766 (Closes: #980598)

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Jan 2021 01:09:39 +0900

libcork (0.15.0+ds-14) unstable; urgency=medium

  * debian/patches:
    - Refresh patches.
    - Add 0015 patch to fix fails to build with sphinx 3.1.
      Thanks to Zhihsian Que for the patch (Closes: #963645).

 -- Roger Shimizu <rosh@debian.org>  Wed, 12 Aug 2020 00:46:49 +0900

libcork (0.15.0+ds-13) unstable; urgency=medium

  * debian/control and debian/copyright:
    - Update to use my debian email.
    - Update URL of upstream.
  * debian/control:
    - Move maintenance under bridges team.
    - Bump debhelper version to 12.
    - Bump policy version to 4.5.0 (no change).
    - Add Rules-Requires-Root: no
    - Move Vcs-* to salsa.
  * debian/libcork-doc.doc-base:
    - Move doc path to libcork-dev folder.
  * Add debian/upstream/metadata
  * debian/rules:
    - Add more security hardening: -fPIC for CPPFLAGS and LDFLAGS.
  * debian/libcorkipset1.symbols:
    - Add Build-Depends-Package as requested by lintian.

 -- Roger Shimizu <rosh@debian.org>  Tue, 19 May 2020 20:32:33 +0900

libcork (0.15.0+ds-12) unstable; urgency=medium

  * Release to unstable.
  * debian/patches:
    - Refresh patches.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 22 Oct 2017 22:16:16 +0900

libcork (0.15.0+ds-12~exp3) experimental; urgency=medium

  * debian/libcork16.symbols:
    - Add symbols file for libcork16.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 22 Oct 2017 17:44:40 +0900

libcork (0.15.0+ds-12~exp2) experimental; urgency=medium

  * debian/rules:
    - Support new mathjax js URL result from sphinx.
      Old URL result is also kept for backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 18 Oct 2017 22:31:04 +0900

libcork (0.15.0+ds-12~exp1) experimental; urgency=medium

  * debian/control:
    - Remove extra priority, since policy claims extra is the same as
      optional now. So all binary packages can be optional.
    - Bump up Standards-Version to 4.1.1 (with adding autopkgtest below).
  * Remove debian-watch-file-should-mangle-version from lintian-overrides.
  * debian/patches:
    - Update patch 0010, to extend the timeout of a test, since there's
      timeout issue on i386 of reproducible build.
  * debian/tests:
    - Add upstream test suite for autopkgtest.
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 17 Oct 2017 01:37:36 +0900

libcork (0.15.0+ds-11~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 30 Jun 2017 01:51:21 +0900

libcork (0.15.0+ds-11) unstable; urgency=medium

  * debian/control:
    - Set Multi-Arch of libcork-doc as foreign
  * debian/rules:
    - Now it's safe to set +all as hardening option
  * debian/patches:
    - Add a patch to fix upstream issue #120:
        https://github.com/redjack/libcork/issues/120
      Thanks to Max Lv <max.c.lv@gmail.com>.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 06 Jan 2017 00:30:16 +0900

libcork (0.15.0+ds-10~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 23 Nov 2016 23:10:55 +0900

libcork (0.15.0+ds-10) unstable; urgency=medium

  * debian/control:
    - Make use of dh_sphinxdoc to calculate the dependency of js library
    - Add Built-Using according to Bug#836248.
  * debian/rules:
    - Make use of dh_sphinxdoc to replace/remove libjs-sphinxdoc js libraries.
      Mathjax related replacement is left as before since it's not included
      in libjs-sphinxdoc, yet. See Bug#739300.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 20 Nov 2016 19:38:32 +0900

libcork (0.15.0+ds-9) unstable; urgency=medium

  * debian/control:
    - make use of libjs-jquery and libjs-underscore in Debian archive,
      and remove embedded .js libraries.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 26 Oct 2016 22:12:00 +0900

libcork (0.15.0+ds-9~exp1) experimental; urgency=medium

  * debian/patches:
    - Add 0013 patch to fix unaligned access issue found on sparc64 arch
      Thanks to James Clarke <jrtc27@jrtc27.com>.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 21 Oct 2016 20:25:41 +0900

libcork (0.15.0+ds-8) unstable; urgency=medium

  * debian/patches:
    - Add 0012 patch to bump libcork version to 16.0.2
      (Closes: #841267)

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 19 Oct 2016 19:09:44 +0900

libcork (0.15.0+ds-7) unstable; urgency=medium

  * debian/copyright:
    - Update field: Upstream-Contact
    - Update field: Files-Excluded
  * debian/control:
    - Bump debhelper level to 10 (previous was 9.20160403,
      feature equivalent to 10, so no change required).

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 18 Oct 2016 22:15:36 +0900

libcork (0.15.0+ds-7~exp1) experimental; urgency=medium

  * debian/control:
    - Bump up libcork SONAME to libcork16
  * debian/patches:
    - Add 0011 patch, to make SONAME version the same as library version

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 14 Oct 2016 01:58:54 +0900

libcork (0.15.0+ds-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 05 Oct 2016 01:15:01 +0900

libcork (0.15.0+ds-6) unstable; urgency=medium

  * debian/patches:
    - Add 0010 patch, to resolve test timeout of bitset case
  * debian/rules:


=== debian/control ===
Source: libcork
Section: libs
Priority: optional
Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
Uploaders: Roger Shimizu <rosh@debian.org>
Build-Depends:
 check,
 cmake,
 debhelper-compat (= 12),
 pkg-config,
 python3-cram,
 python3-sphinx
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://libcork.io
Vcs-Git: https://salsa.debian.org/bridges-team/libcork.git
Vcs-Browser: https://salsa.debian.org/bridges-team/libcork

Package: libcork-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Suggests: libcork-doc
Depends: libcork16 (= ${binary:Version}), ${misc:Depends}
Description: simple, easily embeddable, cross-platform C library (development files)
 It falls roughly into the same category as glib or APR in the C world;
 the STL, POCO, or QtCore in the C++ world; or the standard libraries of any
 decent dynamic language.
 .
 So if libcork has all of these comparables, why a new library? Well, none of
 the C++ options are really applicable here. And none of the C options work,
 because one of the main goals is to have the library be highly modular,
 and useful in resource-constrained systems. You’ll hopefully see how this
 fits into an interesting niche of its own.
 .
 This package provides C header files for the libraries.

Package: libcork16
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple, easily embeddable, cross-platform C library
 It falls roughly into the same category as glib or APR in the C world;
 the STL, POCO, or QtCore in the C++ world; or the standard libraries of any
 decent dynamic language.
 .
 So if libcork has all of these comparables, why a new library? Well, none of
 the C++ options are really applicable here. And none of the C options work,
 because one of the main goals is to have the library be highly modular,
 and useful in resource-constrained systems. You’ll hopefully see how this
 fits into an interesting niche of its own.
 .
 This package provides shared libraries.

Package: libcork-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: simple, easily embeddable, cross-platform C library (documentation files)
 It falls roughly into the same category as glib or APR in the C world;
 the STL, POCO, or QtCore in the C++ world; or the standard libraries of any
 decent dynamic language.
 .
 So if libcork has all of these comparables, why a new library? Well, none of
 the C++ options are really applicable here. And none of the C options work,
 because one of the main goals is to have the library be highly modular,
 and useful in resource-constrained systems. You’ll hopefully see how this
 fits into an interesting niche of its own.
 .
 This package provides documentation in HTML for the libraries.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Security Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -fPIC

# Due to: https://github.com/libcheck/check/issues/293
# Workaround from: https://bugs.gentoo.org/736766
override_dh_auto_configure:
	sed -i s:-Werror:-Wextra: CMakeLists.txt
	dh_auto_configure

override_dh_install:
	rm -f obj-*/docs/old/html/.buildinfo
	sed -i " \
		s%http[s]*://cdn.mathjax.org/mathjax/latest/MathJax.js%file:///usr/share/javascript/mathjax/MathJax.js%; \
		s%https://cdnjs.cloudflare.com/ajax/libs/mathjax/[0-9].[0-9].[0-9]/MathJax.js%file:///usr/share/javascript/mathjax/MathJax.js%; \
		s%https://cdnjs.cloudflare.com/ajax/libs/mathjax/[0-9].[0-9].[0-9]/latest.js%file:///usr/share/javascript/mathjax/unpacked/latest.js%; \
		" obj-*/docs/old/html/*.html
	dh_install

%:
	dh $@ --with sphinxdoc

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@
Restrictions: allow-stderr

Tests: ss-libev.sh
Depends: @, shadowsocks-libev, python3, curl, dnsutils
Restrictions: allow-stderr

## libcork 1.0.0~rc3

=== CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, libcork authors
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

cmake_minimum_required(VERSION 2.6)
set(PROJECT_NAME libcork)
set(RELEASE_DATE 2015-09-03)
project(${PROJECT_NAME})
enable_testing()

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(ParseArguments)
find_package(Prereqs)
find_package(CTargets)

#-----------------------------------------------------------------------
# Retrieve the current version number

execute_process(
    COMMAND
      ${CMAKE_SOURCE_DIR}/build-aux/calculate version
        ${CMAKE_SOURCE_DIR} .version-stamp
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    RESULT_VARIABLE VERSION_RESULT
    OUTPUT_VARIABLE VERSION
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(VERSION_RESULT)
    message(FATAL_ERROR
            "Cannot determine version number: " ${VERSION_RESULT})
endif(VERSION_RESULT)
message(STATUS "Current version: " ${VERSION})

string(REGEX REPLACE "-.*" "-dev" BASE_VERSION "${VERSION}")

if(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
    set(CORK_VERSION_MAJOR "${CMAKE_MATCH_1}")
    set(CORK_VERSION_MINOR "${CMAKE_MATCH_2}")
    set(CORK_VERSION_PATCH "${CMAKE_MATCH_3}")
else(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
    message(FATAL_ERROR "Invalid version number: ${VERSION}")
endif(BASE_VERSION MATCHES "^([0-9]+)\\.([0-9]+)\\.([0-9]+)(-dev)?$")
set(CORK_VERSION "${VERSION}")

execute_process(
    COMMAND
      ${CMAKE_SOURCE_DIR}/build-aux/calculate commit
        ${CMAKE_SOURCE_DIR} .commit-stamp
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    RESULT_VARIABLE GIT_SHA1_RESULT
    OUTPUT_VARIABLE CORK_GIT_SHA1
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(GIT_SHA1_RESULT)
    message(FATAL_ERROR
            "Cannot determine git commit: " ${GIT_SHA1_RESULT})
endif(GIT_SHA1_RESULT)
message(STATUS "Current revision: " ${CORK_GIT_SHA1})

include(GNUInstallDirs)

#-----------------------------------------------------------------------
# Set some options

if(APPLE)
    if (NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
    endif (NOT CMAKE_INSTALL_NAME_DIR)
endif(APPLE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif(NOT CMAKE_BUILD_TYPE)

set(ENABLE_SHARED YES CACHE BOOL "Whether to build a shared library")
set(ENABLE_SHARED_EXECUTABLES NO CACHE BOOL
    "Whether to link executables using shared libraries")
set(ENABLE_SHARED_TESTS NO CACHE BOOL
    "Whether to link test cases using shared libraries")
set(ENABLE_STATIC YES CACHE BOOL "Whether to build a static library")

if(NOT CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib CACHE STRING
        "The base name of the installation directory for libraries")
endif(NOT CMAKE_INSTALL_LIBDIR)

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Clang")
    add_definitions(-Wall -Werror)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Intel")
    add_definitions(-Wall -Werror)
endif(CMAKE_C_COMPILER_ID STREQUAL "GNU")

#-----------------------------------------------------------------------
# Check for prerequisite libraries

find_package(Threads)
set(THREADS_LDFLAGS "${CMAKE_THREAD_LIBS_INIT}")
set(THREADS_STATIC_LDFLAGS "${CMAKE_THREAD_LIBS_INIT}")
set(PTHREAD_LIBS "${CMAKE_THREAD_LIBS_INIT}")

#-----------------------------------------------------------------------
# Include our subdirectories

add_subdirectory(include)
add_subdirectory(share)
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(docs/old)

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # -*- coding: utf-8 -*-
 # ----------------------------------------------------------------------
-# Copyright © 2011-2014, RedJack, LLC.
-# All rights reserved.
-#
+# Copyright © 2011, libcork authors
 # Please see the COPYING file in this distribution for license details.
 # ----------------------------------------------------------------------
 
@@ -14,7 +12,7 @@
 
 # Fill this in with any man pages that should be built from a pandoc source
 # file.  For a man page called foo.5, there should be a pandoc source file
-# called foo.5.pandoc.
+# called foo.5.md.
 
 set(MAN_PAGES
 )
@@ -64,7 +62,7 @@
 set(ALL_MANS)
 
 macro(pandocify name)
-    set(src  "${CMAKE_CURRENT_SOURCE_DIR}/${name}.pandoc")
+    set(src "${CMAKE_CURRENT_SOURCE_DIR}/${name}.md")
     set(dest "${CMAKE_CURRENT_SOURCE_DIR}/${name}")
     get_filename_component(section "${name}" EXT)
     string(REPLACE "." "" section "${section}")

=== include/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # ----------------------------------------------------------------------
-# Copyright © 2011-2015, RedJack, LLC.
+# Copyright © 2011, libcork authors
 # All rights reserved.
 #
 # Please see the COPYING file in this distribution for license details.
@@ -13,7 +13,7 @@
 )
 
 install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
-    DESTINATION include
+    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
     FILES_MATCHING PATTERN "*.h")
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcork/config/version.h

=== share/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2012, libcork authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/valgrind
    DESTINATION share
    FILES_MATCHING PATTERN "*.supp")

=== src/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, libcork authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

#-----------------------------------------------------------------------
# libcork

# Update the VERSION_INFO property below according to the following rules (taken
# from [1]):
#
# VERSION_INFO = current:revision:age
#
#   1. Start with a VERSION of `0:0:0` for each shared library.
#   2. Update VERSION_INFO only immediately before a public release of your
#      software.  More frequent updates are unnecessary, and only guarantee that
#      the current interface number gets larger faster.
#   3. If the library source code has changed at all since the last update, then
#      increment `revision` (`c:r:a` becomes `c:r+1:a`).
#   4. If any interfaces have been added, removed, or changed since the last
#      update, increment `current`, and set `revision` to 0.
#   5. If any interfaces have been added since the last public release, then
#      increment `age`.
#   6. If any interfaces have been removed or changed since the last public
#      release, then set `age` to 0.
#
# Note that changing `current` and setting `age` to 0 means that you are
# releasing a new backwards-incompatible version of the library.  This has
# implications on packaging, so once an API has stabilized, this should be a
# rare occurrence.
#
# [1] http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html#Updating-version-info

add_c_library(
    libcork
    OUTPUT_NAME cork
    PKGCONFIG_NAME libcork
    VERSION_INFO 17:0:1
    SOURCES
        libcork/cli/commands.c
        libcork/core/allocator.c
        libcork/core/error.c
        libcork/core/gc.c
        libcork/core/hash.c
        libcork/core/id.c
        libcork/core/ip-address.c
        libcork/core/mempool.c
        libcork/core/timestamp.c
        libcork/core/u128.c
        libcork/core/version.c
        libcork/ds/array.c
        libcork/ds/bitset.c
        libcork/ds/buffer.c
        libcork/ds/dllist.c
        libcork/ds/file-stream.c
        libcork/ds/hash-table.c
        libcork/ds/managed-buffer.c
        libcork/ds/ring-buffer.c
        libcork/ds/slice.c
        libcork/ds/stream.c
        libcork/posix/directory-walker.c
        libcork/posix/env.c
        libcork/posix/exec.c
        libcork/posix/files.c
        libcork/posix/process.c
        libcork/posix/subprocess.c
        libcork/pthreads/thread.c
    LIBRARIES
        threads
)

if (ENABLE_SHARED OR ENABLE_SHARED_EXECUTABLES OR ENABLE_SHARED_TESTS)
    set_target_properties(libcork-shared PROPERTIES
        COMPILE_DEFINITIONS CORK_API=CORK_EXPORT
    )
endif (ENABLE_SHARED OR ENABLE_SHARED_EXECUTABLES OR ENABLE_SHARED_TESTS)

if (ENABLE_STATIC OR NOT ENABLE_SHARED_EXECUTABLES OR NOT ENABLE_SHARED_TESTS)
    set_target_properties(libcork-static PROPERTIES
        COMPILE_DEFINITIONS CORK_API=CORK_LOCAL
    )
endif (ENABLE_STATIC OR NOT ENABLE_SHARED_EXECUTABLES OR NOT ENABLE_SHARED_TESTS)


#-----------------------------------------------------------------------
# Utility commands

add_c_executable(
    cork-hash
    OUTPUT_NAME cork-hash
    SOURCES cork-hash/cork-hash.c
    LOCAL_LIBRARIES
        libcork
)

add_c_executable(
    cork-initializer
    SKIP_INSTALL
    OUTPUT_NAME cork-initializer
    SOURCES
        cork-initializer/init1.c
        cork-initializer/init2.c
        cork-initializer/main.c
    LOCAL_LIBRARIES
        libcork
)

add_c_executable(
    cork-test
    SKIP_INSTALL
    OUTPUT_NAME cork-test
    SOURCES cork-test/cork-test.c
    LOCAL_LIBRARIES
        libcork
)

=== tests/CMakeLists.txt ===
# -*- coding: utf-8 -*-
# ----------------------------------------------------------------------
# Copyright © 2011, libcork authors
# All rights reserved.
#
# Please see the COPYING file in this distribution for license details.
# ----------------------------------------------------------------------

include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_BINARY_DIR}/include
    ${CMAKE_CURRENT_BINARY_DIR}
)

find_package(PythonInterp)

#-----------------------------------------------------------------------
# Build the test cases

macro(make_test test_name)
  add_executable(${test_name} ${test_name}.c)
  add_test(${test_name} ${test_name})
  if (ENABLE_SHARED_TESTS)
    target_link_libraries(${test_name} ${CHECK_LIBRARIES} libcork-shared)
  else (ENABLE_SHARED_TESTS)
    set_target_properties(${test_name} PROPERTIES COMPILE_DEFINITIONS CORK_EMBEDDED_TEST=1)
    target_link_libraries(${test_name} ${CHECK_LIBRARIES} libcork-static)
  endif (ENABLE_SHARED_TESTS)
endmacro(make_test)

make_test(test-array)
make_test(test-bitset)
make_test(test-buffer)
make_test(test-core)
make_test(test-dllist)
make_test(test-files)
make_test(test-gc)
make_test(test-hash-table)
make_test(test-managed-buffer)
make_test(test-mempool)
make_test(test-ring-buffer)
make_test(test-slice)
make_test(test-subprocess)
make_test(test-threads)
make_test(test-u128)

#-----------------------------------------------------------------------
# Test suite for 128-bit integers

# We use Python to generate a LARGE pile of test cases for our 128-bit integer
# arithmetic functions.

add_custom_target(u128-test-suite)
add_dependencies(test-u128 u128-test-suite)

macro(make_u128_suite op)
    set(generator "${CMAKE_CURRENT_SOURCE_DIR}/create-u128-test-cases.py")
    set(test_suite_file "${CMAKE_CURRENT_BINARY_DIR}/u128-tests-${op}.c.in")
    add_custom_command(
        OUTPUT "${test_suite_file}"
        COMMAND
          "${PYTHON_EXECUTABLE}" "${generator}" "${op}" "${test_suite_file}"
        COMMENT "Generating u128 ${op} test cases"
        DEPENDS "${generator}"
    )
    add_custom_target(u128-test-${op} DEPENDS "${test_suite_file}")
    add_dependencies(u128-test-suite u128-test-${op})
endmacro(make_u128_suite)

make_u128_suite(eq)
make_u128_suite(ne)
make_u128_suite(lt)
make_u128_suite(le)
make_u128_suite(gt)
make_u128_suite(ge)
make_u128_suite(shl)
make_u128_suite(shr)
make_u128_suite(add)
make_u128_suite(sub)

#-----------------------------------------------------------------------
# Command-line tests

if (NOT CRAM_EXECUTABLE)
    set(CRAM_EXECUTABLE "${CMAKE_CURRENT_SOURCE_DIR}/cram.py")
endif (NOT CRAM_EXECUTABLE)

if (PYTHON_EXECUTABLE)
    configure_file(ccram ${CMAKE_BINARY_DIR}/ccram COPYONLY)
    file(GLOB_RECURSE TESTS "${CMAKE_CURRENT_SOURCE_DIR}/*.t")
    foreach(TEST ${TESTS})
        get_filename_component(TEST_NAME "${TEST}" NAME_WE)
        add_test(
            ${TEST_NAME}
            ${CMAKE_COMMAND} -E chdir ${CMAKE_BINARY_DIR}
            ${CMAKE_BINARY_DIR}/ccram
                --python ${PYTHON_EXECUTABLE}
                --root ${CMAKE_SOURCE_DIR}
                --build ${CMAKE_BINARY_DIR}/src
                --cram ${CRAM_EXECUTABLE}
                --tests ${TEST}
        )
    endforeach(TEST)
else (PYTHON_EXECUTABLE)
    message(WARNING "Unable to find Python; skipping cram tests.")
endif (PYTHON_EXECUTABLE)

=== docs/old/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
 # -*- coding: utf-8 -*-
 # ----------------------------------------------------------------------
-# Copyright © 2011-2014, RedJack, LLC.
-# All rights reserved.
-#
+# Copyright © 2011, libcork authors
 # Please see the COPYING file in this distribution for license details.
 # ----------------------------------------------------------------------
 
@@ -15,11 +13,6 @@
 )
 
 set(GENERATE_DOC TRUE)
-
-if (TILERA)
-    message(STATUS "Note: We don't build documentation on the Tilera platform")
-    set(GENERATE_DOC FALSE)
-endif (TILERA)
 
 if (NOT SPHINX_EXECUTABLE)
   message(WARNING "Unable to find Sphinx documentation generator")
@@ -82,6 +75,6 @@
 
   install(
     DIRECTORY "${SPHINX_HTML_DIR}"
-    DESTINATION "share/doc/${PROJECT_NAME}"
+    DESTINATION "${CMAKE_INSTALL_DOCDIR}"
   )
 endif (GENERATE_DOC)

=== debian/changelog ===
libcork (1.0.0~rc3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113130)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Oct 2025 15:50:42 +0200

libcork (1.0.0~rc3-4) unstable; urgency=medium

  [ Roger Shimizu ]
  * debian/patches: Update patch for CI test to remove local include
    path.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #1083174)
    + Add a nocheck.patch that makes upstream honour BUILD_TESTING.
    + Annotate check and python3-cram with <!nocheck>.
    + Demote sphinx dependencies and dh addon to Build-Depends-Indep.

 -- Roger Shimizu <rosh@debian.org>  Thu, 10 Apr 2025 00:59:03 -0700

libcork (1.0.0~rc3-3) unstable; urgency=medium

  * debian/copyright:
    - Update entry for tests/cram.py.
  * debian/control:
    - Update Homepage to github.
  * debian/tests/upstream-test-suite:
    - Ignore the error from dh_auto_configure. This will make
      autopkgtest within pbuilder happy.
    - Remove dh_auto_build from script, and only build tests.
  * debian/tests/control:
    - Install include and library for the test.
  * debian/patches:
    - Update 03 patch to ensure using system python3-cram.
    - Add a patch for autopkgtest, or CI pipeline:
        autopkgtest-Use-system-library-to-run-test.patch
      It uses system's include and library, and skip to build local
      library.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 Aug 2021 15:35:31 +0900

libcork (1.0.0~rc3-2) unstable; urgency=medium

  * debian/copyright:
    - Add entry for tests/cram.py.
  * debian/patches:
    - Add patch to use system python3-cram, instead of embedded
      tests/cram.py.
  * debian/rules:
    - Install doc from debian/tmp instead of obj-*, to make
      dh_missing happy.
  * debian/upstream/metadata:
    - Remove Homepage entry to make lintian happy.

 -- Roger Shimizu <rosh@debian.org>  Mon, 23 Aug 2021 00:47:49 +0900

libcork (1.0.0~rc3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Tue, 17 Aug 2021 01:55:17 +0900

libcork (1.0.0~rc3-1~exp2) experimental; urgency=medium

  * debian/tests:
    - Revert: Add new ss-libev.sh test suite from shadowsocks-libev.
  * debian/watch:
    - Add uversionmangle rule to adapt upstream RC version

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Feb 2021 18:02:49 +0900

libcork (1.0.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release 1.0.0--rc3
  * debian/watch:
    - Update upstream URL.
  * debian/copyright:
    - Remove Files-Excluded section.
  * debian/patches:
    - Refresh patches.
  * debian/libcork16.symbols: Update
  * debian/rules:
    - export DEB_VERSION_UPSTREAM to feed cmake script.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Jan 2021 01:32:04 +0900

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
 Uploaders: Roger Shimizu <rosh@debian.org>
 Build-Depends:
- check,
+ check <!nocheck>,
  cmake,
  debhelper-compat (= 12),
  pkg-config,
- python3-cram,
- python3-sphinx
+ python3-cram <!nocheck>,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+ python3-sphinx,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: https://libcork.io
+Homepage: https://github.com/dcreager/libcork
 Vcs-Git: https://salsa.debian.org/bridges-team/libcork.git
 Vcs-Browser: https://salsa.debian.org/bridges-team/libcork

=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,27 @@
 export DEB_CPPFLAGS_MAINT_APPEND = -fPIC
 export DEB_LDFLAGS_MAINT_APPEND = -fPIC
 
+include /usr/share/dpkg/pkg-info.mk
+export DEB_VERSION_UPSTREAM
+
 # Due to: https://github.com/libcheck/check/issues/293
 # Workaround from: https://bugs.gentoo.org/736766
 override_dh_auto_configure:
 	sed -i s:-Werror:-Wextra: CMakeLists.txt
-	dh_auto_configure
+	dh_auto_configure -- \
+		-DENABLE_SHARED_EXECUTABLES=YES \
+		-DENABLE_SHARED_TESTS=YES \
+		-DENABLE_STATIC=NO
 
-override_dh_install:
-	rm -f obj-*/docs/old/html/.buildinfo
+execute_before_dh_install-indep:
+	rm -f debian/tmp/usr/share/doc/libcork/html/.buildinfo
 	sed -i " \
 		s%http[s]*://cdn.mathjax.org/mathjax/latest/MathJax.js%file:///usr/share/javascript/mathjax/MathJax.js%; \
 		s%https://cdnjs.cloudflare.com/ajax/libs/mathjax/[0-9].[0-9].[0-9]/MathJax.js%file:///usr/share/javascript/mathjax/MathJax.js%; \
 		s%https://cdnjs.cloudflare.com/ajax/libs/mathjax/[0-9].[0-9].[0-9]/latest.js%file:///usr/share/javascript/mathjax/unpacked/latest.js%; \
-		" obj-*/docs/old/html/*.html
-	dh_install
+		" debian/tmp/usr/share/doc/libcork/html/*.html
 
+# Upstream supports both autoreconf and cmake
+# Here we disable autoreconf so cmake will be used
 %:
-	dh $@ --with sphinxdoc
+	dh $@ --without autoreconf

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, libcork-dev
Restrictions: allow-stderr
